[![Build Status](https://travis-ci.org/rienafairefr/pyrebrickable.svg?branch=master)](https://travis-ci.org/rienafairefr/pyrebrickable)
[![Coverage Status](https://coveralls.io/repos/github/rienafairefr/pyrebrickable/badge.svg?branch=master)](https://coveralls.io/github/rienafairefr/pyrebrickable?branch=master)

# pyrebrickable

This is pyrebrickable, containing three packages.

Combined documentation can be found in the accompanying Github Pages [here](https://rienafairefr.github.io/pyrebrickable)

## rebrickable_api

The rebrickable_api Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project,
you can install it 'standalone' with `pip install pyrebrickable-api`

## rebrickable_cli

This Python package provides a CLI wrapper around the Rebrickable API<br> <br> It supports the v3 API through it's openAPI specification.<br> https://rebrickable.com/api/v3/swagger/?format=openapi<br> Models for Part, Set, etc. have been manually added to provide meaningful results from HTTP responses<br> <br> Some endpoints might not work, don't hesitate to file an issue<br>

Once the pyrebrickable package is installed through `pip install pyrebrickable` you should have access to a `rebrickable` command.
You can also install it 'standalone' with `pip install pyrebrickable-cli`

## rebrickable_data

This package uses the monthly CSV database dumps, import them into a
local database and provide you a way through SQLAlchemy to query that
database

You can also install it 'standalone' with `pip install pyrebrickable-data`

# Requirements.

Python 2.7 and 3.4+

# Installation & Usage

```
pip install pyrebrickable
```

# Getting Started

For the CLI: with the package installed, run

`rebrickable --help`

You can also read the [CLI docs](https://rienafairefr.github.io/pyrebrickable/cli.html), auto-generated documentation from the [Click](http//click.pocoo.org) definitions in [cli.py](pyrebrickable-cli/rebrickable_cli/cli.py)

To use the API, use `from rebrickable_api import [...]`, see the [API docs](https://rienafairefr.github.io/pyrebrickable/api.html) for how to use it

To use the rebrickable_data package, see [Data docs](https://rienafairefr.github.io/pyrebrickable/data.html)

## Author

Matthieu Berthomé @rienafairefr
